MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029967Open CASCADE[OCCT] OCCT:DRAWpublic2018-07-18 00:282018-07-30 10:08
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029967: Draw Harness - command bounding has annoying syntax
DescriptionSyntax of bounding Draw Harness command has been changed, so that it become more difficult using command in usual cases:
- It requires "-s" argument to specify shape.
- It requires long "-dump" argument to print values.
- It does not handle Void bounding box:
** Exception ** 000001F53E709770 : Standard_ConstructionError: Bnd_Box is void

Steps To Reproduce
pload MODELING
box b 1 2 3
psphere s 1
axo
fit
bounding s
bounding -s s -dump


Result OLD:
-1.0000001000000001 -1.0000001000000001 -1.0000001000000001 1.0000001000000001 1.0000001000000001 1.0000001000000001


Output can be trivially parsed to retrieve values.

Result CURRENT:
Axes-aligned bounding box
X-range: -1.0000001000000001 1.0000001000000001
Y-range: -1.0000001000000001 1.0000001000000001
Z-range: -1.0000001000000001 1.0000001000000001

Output is nicely structured but requires extra logic to parse.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077853)
git (administrator)
2018-07-20 14:35

Branch CR29967 has been created by kgv.

SHA-1: 06c03958d9f5922b4690e1eeeba9b4e67e21c73e


Detailed log of new commits:

Author: kgv
Date: Fri Jul 20 13:07:47 2018 +0300

    0029967: Draw Harness - command bounding has annoying syntax
    
    Bnd_OBB constructor from Bnd_Box has been fixed for VOID input.
    
    bounding Draw Harness command has been adjusted to:
    - Propose new syntax 'bounding result shape' consistent to other commands producing shapes.
    - Support old syntax 'bounding shape'.
    - Avoid exception on VOID bounding box.
    - Handle arguments in case-insensitive way.
    - Move help to command definition.
(0077854)
git (administrator)
2018-07-20 14:37

Branch CR29967 has been updated forcibly by kgv.

SHA-1: 2e631e4c235bb449e1fb9c910fd32319828d607c
(0077857)
kgv (developer)
2018-07-20 15:54

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29967-master-KGV/ [^]
(0077914)
git (administrator)
2018-07-22 18:35

Branch CR29967 has been updated forcibly by kgv.

SHA-1: 9488fb44e6ed5983fd7ce94e2573e4a1c132852d
(0077998)
git (administrator)
2018-07-25 16:19

Branch CR29967 has been updated by abv.

SHA-1: 936daf03da6e47e376240b5411ec0015c3b663e0


Detailed log of new commits:

Author: abv
Date: Wed Jul 25 16:16:49 2018 +0300

    Review corrections:
    
    1. Options -s, -perfmeter, and ability to set result as first argument are removed from command bounding as redundant
    
    2. Separate command OCC29311 is added (in QADraw) to do the same as option -perfmeter did
    
    2. Tests are updated

(0077999)
git (administrator)
2018-07-25 16:23

Branch CR29967_1 has been created by abv.

SHA-1: 0c4b0312908e1537db32847f5be58689e2a025ea


Detailed log of new commits:

Author: kgv
Date: Fri Jul 20 13:07:47 2018 +0300

    0029967: Draw Harness - command bounding has annoying syntax
    
    Bnd_OBB constructor from Bnd_Box is fixed for VOID input.
    
    DRAW command bounding command is adjusted:
    - Support of old syntax 'bounding shape'is restored.
    - Exception on VOID bounding box is avoided.
    - Arguments are handled in case-insensitive way.
    - Options -s, -perfmeter, and ability to set result as first argument are removed as redundant.
    - Help is moved to command definition.
    
    Separate command OCC29311 is added (in QADraw) to do the same as option -perfmeter did; tests are updated.
(0078006)
git (administrator)
2018-07-25 17:49

Branch CR29967_1 has been updated by abv.

SHA-1: 5267943d8cf9c7154c933cfe99d621e2b96857de


Detailed log of new commits:

Author: abv
Date: Wed Jul 25 17:48:02 2018 +0300

    # correct test scripts

(0078024)
abv (manager)
2018-07-26 07:43

Reviewed with amendments; please integrate branch CR29967_1 of OCCT and CR29611 in Products. Test results are in Jenkins job CR29967-master-KGV; note that image difference on test bugs modalg_7 bug29311_4 is as expected.
(0078035)
bugmaster (administrator)
2018-07-26 14:16

Combination -
OCCT branch : CR29967_1 SHA - 5267943d8cf9c7154c933cfe99d621e2b96857de
Products branch : CR29967 SHA - 1e66a17e6dc1335fcd0bbf8e07d3683572104431
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 16969.72999999969 / 17220.20999999982 [-1.45%]
Products
Total CPU difference: 7424.670000000042 / 7395.280000000046 [+0.40%]
Windows-64-VC10:
OCCT
Total CPU difference: 16831.18189149858 / 17014.420666098493 [-1.08%]
Products
Total CPU difference: 8219.115486299886 / 8218.070279599868 [+0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078133)
git (administrator)
2018-07-28 12:38

Branch CR29967_1 has been deleted by inv.

SHA-1: 5267943d8cf9c7154c933cfe99d621e2b96857de
(0078134)
git (administrator)
2018-07-28 12:38

Branch CR29967 has been deleted by inv.

SHA-1: 936daf03da6e47e376240b5411ec0015c3b663e0

- Related Changesets
occt: master 1f26f80b
Timestamp: 2018-07-20 10:07:47
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029967: Draw Harness - command bounding has annoying syntax

Bnd_OBB constructor from Bnd_Box is fixed for VOID input.

DRAW command bounding command is adjusted:
- Support of old syntax 'bounding shape'is restored.
- Exception on VOID bounding box is avoided.
- Arguments are handled in case-insensitive way.
- Options -s, -perfmeter, and ability to set result as first argument are removed as redundant.
- Help is moved to command definition.

Separate command OCC29311 is added (in QADraw) to do the same as option -perfmeter did; tests are updated.
mod - samples/tcl/Penrose.tcl Diff ] File ]
mod - samples/tcl/snowflake.tcl Diff ] File ]
mod - src/Bnd/Bnd_OBB.hxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - tests/bugs/modalg_1/buc60849 Diff ] File ]
mod - tests/bugs/modalg_1/bug108 Diff ] File ]
mod - tests/bugs/modalg_1/bug12661 Diff ] File ]
mod - tests/bugs/modalg_4/bug6334 Diff ] File ]
mod - tests/bugs/modalg_6/bug27537 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_1 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_12 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_13 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_14 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_15 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_16 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_17 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_2 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_3 Diff ] File ]
mod - tests/bugs/modalg_7/bug29311_4 Diff ] File ]
mod - tests/bugs/moddata_1/bug15570 Diff ] File ]
mod - tests/bugs/moddata_2/bug23165 Diff ] File ]
mod - tests/bugs/moddata_2/bug2442 Diff ] File ]
mod - tests/bugs/moddata_2/bug257 Diff ] File ]
mod - tests/bugs/moddata_2/bug566 Diff ] File ]
mod - tests/bugs/moddata_2/bug6503 Diff ] File ]
mod - tests/bugs/moddata_3/bug23575 Diff ] File ]
mod - tests/bugs/moddata_3/bug25631 Diff ] File ]
mod - tests/bugs/moddata_3/bug26560 Diff ] File ]
mod - tests/bugs/moddata_3/bug27261_1 Diff ] File ]
mod - tests/bugs/moddata_3/bug27261_2 Diff ] File ]
mod - tests/bugs/step/bug24595 Diff ] File ]
mod - tests/bugs/stlvrml/bug26338 Diff ] File ]
mod - tests/bugs/vis/buc60857 Diff ] File ]
mod - tests/bugs/vis/bug27796 Diff ] File ]
mod - tests/bugs/xde/bug659 Diff ] File ]
mod - tests/caf/basic/K1 Diff ] File ]
mod - tests/caf/basic/K2 Diff ] File ]
mod - tests/caf/basic/K3 Diff ] File ]
mod - tests/caf/bugs/B3 Diff ] File ]
mod - tests/caf/bugs/B5 Diff ] File ]
mod - tests/caf/bugs/B7 Diff ] File ]
mod - tests/caf/bugs/D2 Diff ] File ]
mod - tests/caf/named_shape/A1 Diff ] File ]
mod - tests/caf/named_shape/B1 Diff ] File ]
mod - tests/caf/named_shape/C1 Diff ] File ]
mod - tests/caf/named_shape/D1 Diff ] File ]
mod - tests/caf/named_shape/D2 Diff ] File ]
mod - tests/caf/named_shape/D3 Diff ] File ]
mod - tests/caf/xlink/A1 Diff ] File ]
mod - tests/caf/xlink/A2 Diff ] File ]
mod - tests/caf/xlink/B1 Diff ] File ]
mod - tests/caf/xlink/B2 Diff ] File ]
mod - tests/caf/xlink/B3 Diff ] File ]
mod - tests/caf/xlink/B4 Diff ] File ]
mod - tests/caf/xlink/B5 Diff ] File ]
mod - tests/caf/xlink/C1 Diff ] File ]
mod - tests/caf/xlink/D1 Diff ] File ]
mod - tests/caf/xlink/D2 Diff ] File ]
mod - tests/chamfer/begin Diff ] File ]
mod - tests/demo/draw/binpersist_1 Diff ] File ]
mod - tests/demo/draw/binpersist_2 Diff ] File ]
mod - tests/demo/draw/binpersist_3 Diff ] File ]
mod - tests/perf/modalg/bug29311 Diff ] File ]
mod - tests/xml/data/ocaf/B3 Diff ] File ]
mod - tests/xml/data/ocaf/B5 Diff ] File ]
mod - tests/xml/data/ocaf/B7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-18 00:28 kgv New Issue
2018-07-18 00:28 kgv Assigned To => apn
2018-07-18 13:47 kgv Assigned To apn => kgv
2018-07-20 11:29 kgv Description Updated View Revisions
2018-07-20 11:29 kgv Steps to Reproduce Updated View Revisions
2018-07-20 14:35 git Note Added: 0077853
2018-07-20 14:37 git Note Added: 0077854
2018-07-20 14:54 kgv Relationship added child of 0029311
2018-07-20 15:54 kgv Note Added: 0077857
2018-07-20 15:54 kgv Assigned To kgv => abv
2018-07-20 15:54 kgv Status new => resolved
2018-07-22 18:35 git Note Added: 0077914
2018-07-25 16:19 git Note Added: 0077998
2018-07-25 16:23 git Note Added: 0077999
2018-07-25 17:49 git Note Added: 0078006
2018-07-26 07:21 git Note Added: 0078021
2018-07-26 07:40 git Note Added: 0078023
2018-07-26 07:41 abv Note Deleted: 0078021
2018-07-26 07:41 abv Note Deleted: 0078023
2018-07-26 07:43 abv Note Added: 0078024
2018-07-26 07:43 abv Assigned To abv => bugmaster
2018-07-26 07:43 abv Status resolved => reviewed
2018-07-26 14:16 bugmaster Note Added: 0078035
2018-07-26 14:16 bugmaster Status reviewed => tested
2018-07-28 12:26 bugmaster Changeset attached => occt master 1f26f80b
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:38 git Note Added: 0078133
2018-07-28 12:38 git Note Added: 0078134
2018-07-30 10:08 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker